<?php
    include "../conexion/conexion.php";
    include '../validacion.php';
    date_default_timezone_set("America/Lima");
    $ahora = date("Y-m-d H:i:s");


    $postulante = $_POST["txtpostulante"];
    $tipodocumento = $_POST["cbotipodocumento"];
    $numerodocumentoe = $_POST["txtnumerodocumento"];
    $numerodocumento = trim($numerodocumentoe);
    $edad = $_POST["cboedad"];
    $celulare = $_POST["txtcelular"];
    $celular = trim($celulare);
    
    
    
    
    if($_POST['txtcelular2'] == "" || $_POST['txtcelular2'] == "-" || $_POST['txtcelular2'] == "."){
        $celular2 = "";
    }
    else{
       $celular2 = $_POST["txtcelular2"]; 
    }
    
    
    $edad = $_POST["cboedad"];
    $distrito = $_POST["cbodistrito"];
    $fuente = $_POST["cbofuente"];
    $contacto = $idusuario_sesion;
    $observaciones = $_POST["txtobservaciones"];
    $agenda = "AGENDADO";
    $estadofinal = "";
    $estado = "";
    $asistencia = "NO";
    $fechareprogramacion = "";
    $fechaagenda = $_POST["txtfechaagenda"];
    $turno = $_POST["cboturno"];
    $sede = $_POST['cbosede'];
    $sedeprincipal = $_POST[ 'txtsedeprincipal'];
    $fecharegistro = date("Y-m-d");
    $horaregistro = date("H:i:s");
    
    
    
    
    try{

        $sql = "select count(*) from agenda where celular='$celular'";
        $celulares = current($pdo->query($sql)->fetch());
        
        // if($celular2 == "-"){
        //     $celulares2 == 0;
        // }
        // else{
        //     $sql = "select count(*) from agenda where celular2='$celular2'";
        //     $celulares2 = current($pdo->query($sql)->fetch());
        // }
        
        // $sql = "select count(*) from agenda where numerodocumento='$numerodocumento'";
        // $dnis = current($pdo->query($sql)->fetch());
    
        if(strlen($celular) < 9 || strlen($celular) > 10){
            echo '<script type="text/javascript">alert("Introduzca un número celular válido");window.location.href="agendar.php";</script>';
        }
        
        else if($celulares > 0){
            
                $sql = "SELECT * FROM agenda WHERE celular = '$celular'";
                $consulta = $pdo->prepare($sql);
                $consulta->execute();
                $busquedas = $consulta->fetchAll(PDO::FETCH_ASSOC);

                    foreach ($busquedas as $gobusquedas) {
                        $idusuarior = $gobusquedas['idusuario'];
                        $fecharegistro = $gobusquedas['fecharegistro'];
                        $fechaagenda = $gobusquedas['fechaagenda'];
                        $fechareprogramacion = $gobusquedas['fechareprogramacion'];
                    }  
                    
                    if($fechareprogramacion == ""){
                        $fechaagendacion = $fechaagenda;
                    }
                    else{
                        $fechaagendacion = $fechareprogramacion;
                    }
                    
                    
                $sfechaagendacion =  date("d-m-Y",strtotime($fechaagendacion));
                    
                $sql = "SELECT * FROM usuario WHERE idusuario = '$idusuarior'";
                $consultas = $pdo->prepare($sql);
                $consultas->execute();
                $usuarios = $consultas->fetchAll(PDO::FETCH_ASSOC);

                    foreach ($usuarios as $gousuarios) {
                        $nombreusuario = $gousuarios['nombreusuario'];
                    }  
            
            echo '<script type="text/javascript">alert("Número ya registrado por '.$nombreusuario.' para el día '.$sfechaagendacion.'");window.location.href="agendar.php";</script>';
        }
        
        
        else{
            
            
            if (strlen($numerodocumento) >= 7 && strlen($numerodocumento) <= 10 || $numerodocumento == "."){
                
                $sql = "select count(*) from agenda where numerodocumento='$numerodocumento'";
                $ndocumentos = current($pdo->query($sql)->fetch());
                
                if($ndocumentos == 0 || $numerodocumento == "."){
                
                    $sql="INSERT INTO agenda VALUES (null,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?);";
                    $sentencia = $pdo->prepare($sql);   
                    $sentencia->bindParam(1,$postulante);
                    $sentencia->bindParam(2,$tipodocumento);
                    $sentencia->bindParam(3,$numerodocumento);
                    $sentencia->bindParam(4,$edad);
                    $sentencia->bindParam(5,$celular);
                    $sentencia->bindParam(6,$celular2);
                    $sentencia->bindParam(7,$distrito);
                    $sentencia->bindParam(8,$fuente);
                    $sentencia->bindParam(9,$contacto);
                    $sentencia->bindParam(10,$observaciones);
                    $sentencia->bindParam(11,$agenda);
                    $sentencia->bindParam(12,$estado);
                    $sentencia->bindParam(13,$estadofinal);
                    $sentencia->bindParam(14,$asistencia);
                    $sentencia->bindParam(15,$fecharegistro);
                    $sentencia->bindParam(16,$horaregistro);
                    $sentencia->bindParam(17,$fechaagenda);
                    $sentencia->bindParam(18,$fechareprogramacion);
                    $sentencia->bindParam(19,$turno);
                    $sentencia->bindParam(20,$sede);
                    $sentencia->bindParam(21,$sedeprincipal);
                    $sentencia->bindParam(22,$idusuario_sesion);
                        
                        if($sentencia->execute()){
            
                            // AÑADIENDO EL REGISTRO LOG PARA EL AGENDADO AGREGADO
                            //----------------------------------------------------------------------------
                            // IDTABLALOG = 2  ES AGENDA
                            $sql = "SELECT * FROM tablalog WHERE idtablalog = 2";
                            $consulta = $pdo->prepare($sql);
                            $consulta->execute();
                            $tablalog = $consulta->fetchAll(PDO::FETCH_ASSOC);
            
                                foreach ($tablalog as $gotablalog) {
                                    $idtablalog = $gotablalog['idtablalog'];
                                    $nombretablalog = $gotablalog['nombretablalog'];
                                }
                            //----------------------------------------------------------------------------
            
                            $sql = "SELECT * FROM agenda WHERE celular = '$celular'";
                            $consulta = $pdo->prepare($sql);
                            $consulta->execute();
                            $tablaagenda = $consulta->fetchAll(PDO::FETCH_ASSOC);
            
                                foreach ($tablaagenda as $gotablaagenda) {
                                    $idagenda = $gotablaagenda['idagenda'];
                                }
                          
                            //----------------------------------------------------------------------------
                            $accion = $nombreusuario_sesion." HA AGENDADO A  ".$postulante." CON EL NÚMERO: ".$celular;
                            $crud = "ACTUALIZAR";       
            
                            $sql="INSERT INTO detalletablalog VALUES (null,?,?,?,?,?);";
                            $sentencia = $pdo->prepare($sql);   
                            $sentencia->bindParam(1,$accion);
                            $sentencia->bindParam(2,$ahora);
                            $sentencia->bindParam(3,$crud);
                            $sentencia->bindParam(4,$idagenda);
                            $sentencia->bindParam(5,$idtablalog);                
                            $sentencia->execute();
                            //----------------------------------------------------------------------------
            
            
                            echo '<script type="text/javascript">alert("Agendado Correctamente!");window.location.href="../login/inicio.php";</script>';
                        } 
                        
                        else{
                            echo '<script type="text/javascript">alert("Error al agendar!");window.location.href="../login/inicio.php";</script>';
                        }
                }
                else{
                    echo '<script type="text/javascript">alert("Número de documento ya está registrado");window.location.href="agendar.php";</script>';
                }
                
            }
            
            else if(strlen($numerodocumento) < 8 || strlen($numerodocumento) > 10){
                
                echo '<script type="text/javascript">alert("Número de documento inválido");window.location.href="agendar.php";</script>';
            }

        }
    }

    catch(PDOException $e){
        echo $e->getMessage();
    }
?>